<?php
/**
 * The ajax select story view file of testcase module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     testcase
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<?php include '../../../common/view/header.html.php';?>
<div id='titlebar'>
  <div class='heading' style='margin-bottom: 15px'>
    <strong><?php echo $lang->testcase->selectStory;?></strong>
  </div>
  <div id='querybox' class='show'></div>
</div>
<form method='post' target='hiddenwin' id='storyForm' action='<?php echo $this->createLink('testcase', 'exportTemplet', "productID={$product->id}")?>'>
  <table class='table table-fixed active-disabled table-custom' id='storyList'>
    <thead>
      <tr>
        <th class='w-id'><?php echo $lang->idAB;?></th>
        <th class='w-pri'><?php echo $lang->priAB;?></th>
        <th class='w-150px'><?php echo $lang->story->module;?></th>
        <th><?php echo $lang->story->title;?></th>
        <th class='w-80px'><?php echo $lang->story->stage;?></th>
        <th class='w-user'><?php echo $lang->openedByAB;?></th>
        <th class='w-80px'><?php echo $lang->story->estimateAB;?></th>
      </tr>
    </thead>
    <?php if($stories):?>
    <tbody>
      <?php foreach($stories as $story):?>
      <?php $storyLink = $this->createLink('story', 'view', "storyID=$story->id");?>
      <tr class='text-center'>
        <td class='cell-id'>
        <input type='checkbox' name='stories[]'  value='<?php echo $story->id;?>' <?php if(strpos(",{$selectedStories},", "{$story->id}") !== false) echo 'checked';?>/>
          <?php echo html::hidden("products[$story->id]", $story->product);?>
          <?php echo html::a($storyLink, sprintf('%03d', $story->id));?>
        </td>
        <td><span class='<?php echo 'pri' . zget($lang->story->priList, $story->pri, $story->pri)?>'><?php echo zget($lang->story->priList, $story->pri, $story->pri);?></span></td>
        <td class='text-left' title='<?php echo zget($modules, $story->module, '')?>'><?php echo zget($modules, $story->module, '')?></td>
        <td class='text-left nobr' title="<?php echo $story->title?>"><?php echo html::a($storyLink, $story->title);?></td>
        <td><?php echo zget($lang->story->stageList, $story->stage);?></td>
        <td><?php echo zget($users, $story->openedBy, $story->openedBy);?></td>
        <td><?php echo $story->estimate;?></td>
      </tr>
      <?php endforeach;?>
    </tbody>
    <?php endif;?>
    <tfoot>
      <tr>
        <td colspan='7'>
          <div class='row'>
            <div class='col-md-1'>
              <div class='table-actions clearfix'><?php echo html::selectButton();?></div>
            </div>
            <div class='col-md-3'>
              <div class='input-group'>
                <?php
                echo html::input('num', '10', "class='form-control'");
                echo "<span class='input-group-addon'></span>";
                echo html::select('fileType', array('xlsx' => 'xlsx', 'xls' => 'xls'), 'xlsx', "class='form-control'");
                echo "<span class='input-group-btn'>" . html::submitButton($lang->testcase->exportTemplet) . "</span>";
                ?>
              </div>
            </div>
          </div>
        </td>
      </tr>
    </tfoot>
  </table>
</form>
<script>
$(function()
{
    ajaxGetSearchForm();
    setTimeout(function(){fixedTheadOfList('#storyList')}, 500);
    setTimeout(function(){fixedTfootAction('#storyForm')}, 500);

    $(document).on('change', 'input:checked', function()
    {
        selectedStories = '';
        $('.cell-id :checked').each(function()
        {
            if($(this).prop('checked') && $(this).val()) selectedStories += $(this).val() + ','
        });
        $.cookie('selectedStories', false);
        $.cookie('selectedStories[<?php echo $product->id?>]', selectedStories);
    });
})
</script>
<?php include '../../../common/view/footer.html.php';?>
